<style>
    .px {
        position: relative !important;
    }

	.tooltip {
		font-style: normal; 
		position: absolute;
		z-index: 1030;
		display: block;
		visibility: visible;
		font-size: 12px;
		line-height: 1.4;
		opacity: 0;
		filter: alpha(opacity=0);
	}
	.tooltip.in {
		opacity: 0.9;
		filter: alpha(opacity=90);
	}
	.tooltip.top {
		margin-top: -3px;
		padding: 5px 0;
	}	

	.tooltip-inner {
		font-size: 11px;
		font-style: normal; 
		max-width: 600px;
		padding: 3px 8px;
		text-align: justify;
		text-decoration: none;
		background-color: #ffffff;
		color: #333333;
		border-radius: 2px;
		webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
		box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
	}	
</style>
<script>
	$(document).ready(function () {
		$('[data-toggle="tooltip"]').tooltip();

		$(document).on('DOMNodeInserted', function () {
			$('[data-toggle="tooltip"]').tooltip();
		});

	});
</script>
<div id="modalIngresoDireccion" class="modal fade modal-change" role="dialog" aria-hidden="true" ></div>
<div class="col-md-12">
	<p></p>	
	<!--Panel de Datos de Solicitud-->
	<div class="panel panel-success">
		<div class="panel-heading ">
			<span class="panel-title">Información del a Consulta</span>
			<div class="panel-heading-controls"></div>	
		</div>
		<div class="panel-body">	
			<div class="col-md-12">
				<form class="form-group" name="formPredio" class="form-group {{ haveError('direccion', formPredio) ? 'has-error' : ''}}">					
					<label class="control-label" >Dirección del Predio</label>
					<input required placeholder="Dirección del predio existente" class="form-control" type="text" ng-click="obtenerModalIngresoDireccion()" readonly="readonly"  ng-model="solicitud.direccion" ng-disabled="estado == 'visualizacion' || solicitud.solicitud.predio.codigounico != '' && solicitud.solicitud.predio.codigounico != null" ng-min="20" />
					<input id="npn" type="hidden" />
					<input id="direccion" type="hidden">
					<input id="infoAdicional" type="hidden" />
					<input id="predioId" type="hidden" />
					<input id="nomenclaturaId" type="hidden" />					
					<span ng-if="npn != '' && npn != null">
						<p></p>
						<div class="well well-sm">
							<strong>NPN: </strong>{{ npn}}<br>
							<strong>DIRECCION: </strong>{{ direccion}} {{ infoAdicional}}
						</div>
					</span>					
				</form>
				<p></p>

				<div class="form-group {{ haveError('actividades', formDatosSolicitud) ? 'has-error' : ''}}">
					<div ng-if="npn != '' && npn != null">
						<label class="control-label" >Buscar Actividades</label>				
						<tag-manager2 tags="tags" autocomplete="allTags" request="request" codigo="codigo" fecha="fecha"></tag-manager2>
						<hr>
					</div>
					---
					{{ tags | json }}
					<div ng-if="tags != '' && tags != null">
						<label class="control-label" >Actividades Seleccionadas</label>
						<ul class="list-unstyled tag">
							<li ng-repeat="tag in tags"><div class="well well-sm">
									{{tag.codCiiu}} - {{tag.nombreCiiu}}
									<input type="hidden" id="idciiu_{{ $index}}" name="idciiu" value="{{tag.idciiu}}">
								</div></li>
						</ul>
						<span ng-show="haveError('actividades', formDatosSolicitud)" >
							Este campo es obligatorio.
						</span>			
					</div>
				</div>
				<p></p>	
			</div>
		</div>

		<div class="panel-footer" style="text-align: center; text-align: right;">
			<button class="btn-link" ng-click="limpiarDatos()" >Limpiar</button>
			ó 
			<button class="btn btn-primary" ng-disabled="form.$invalid" ng-click="buscarDatos()">Consultar</button>
		</div>
	</div>

	<!--{{ Registroconsultausosuelo | json }} -->
	<!--Panel que muestra la información de la tabla registro consulta -->
	{{ Registroconsultausosuelo | json }}
	<div ng-show="Registroconsultausosuelo != null && messageErrorConsulta == ''" >
		<script>
			init.push(function () {
				$('[data-toggle="tooltip"]').tooltip();
			});
		</script>
		<p><br></p>
		<div class="table-primary">
			<div class="well well-sm">
				<strong>Areá de Actividad: </strong> {{ Registroconsultausosuelo.data[0].areaActividad}} <br>
				<strong>Tipo: </strong> {{ Registroconsultausosuelo.data[0].tipo}} <br>
				<strong>Vocación: </strong> {{ Registroconsultausosuelo.data[0].vocacion}} <br>
			</div>
			<table class="table table-bordered">
				<thead>
					<tr>
						<th style="text-align:center">#</th>
						<th style="text-align:center">Código
						<th style="text-align:left">Ciiu (Actividad Economíca)</th>
						<th align="center">Respuesta</th>
					</tr>
				</thead>
				<tbody>
					<tr ng-repeat="actividades in Registroconsultausosuelo.data">
						<td align="center">{{ $index + 1}}</td>
						<td align="center">{{ actividades.codCiiu}}</td>
						<td align="justify">{{ actividades.nombreCiiu}}</td>

						<td><spam ng-if = "actividades.nombreConvencion != 'Eir'">{{ actividades.nombreConvencion}}</spam><spam ng-if = "actividades.nombreConvencion === 'Eir'"><i class="plg-npn-info text-warning" data-toggle="tooltip" data-placement="bottom" title="Sujeto a Formulación de Esquema de Implantación y Regularización, debe acercarse a la ventanilla del cam para hacer la respectiva solicitud."><a href="#">{{ actividades.nombreConvencion | uppercase }}<i class="fa fa fa-exclamation-triangle"></i></a></i></spam></td>
				</tr>			
				</tbody>
			</table>
			<div class="table-footer">
				La información que se muestra en la tabla es de uso solo informativo.
			</div>
			<p></p>
			{{ messageErrorConsulta | json }}
			<div class="table-footer" ng-show="messageErrorConsulta != ''">
				{{messageErrorConsulta}}
			</div>
		</div>
	</div>
</div>